Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class InvalidValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.makumba.InvalidValueException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotUniqueException

    public class InvalidValueException

extends RuntimeException

This exception occurs when an invalid value is passed to a field

See Also:
  Serialized Form

Field Summary
`protected String` | `field`
`protected String` | `shortMessage`

Constructor Summary
`InvalidValueException(FieldDefinition fi, Class<?> requiredClass, Object value)` form an exception message from the required type and the pointer that doesn't respect it
`InvalidValueException(FieldDefinition fi, String message)`
`InvalidValueException(FieldDefinition fi, String requiredType, Pointer wrongPointer)` form an exception message from the required type and the pointer that doesn't respect it
`InvalidValueException(Pointer comparedPointer, Pointer wrongPointer)` form an exception message from the compared pointer and the pointer that doesn't match its type
`InvalidValueException(String message)`
`InvalidValueException(String field, String message)`

Method Summary
`String` | `getFieldName()`
`String` | `getShortMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field

    protected String field

### shortMessage

    protected String shortMessage

Constructor Detail

### InvalidValueException

    public InvalidValueException(String message)

### InvalidValueException

    public InvalidValueException(String field,
                                 String message)

### InvalidValueException

    public InvalidValueException(FieldDefinition fi,
                                 String message)

### InvalidValueException

    public InvalidValueException(FieldDefinition fi,
                                 Class<?> requiredClass,
                                 Object value)

  form an exception message from the required type and the pointer that doesn't respect it

### InvalidValueException

    public InvalidValueException(FieldDefinition fi,
                                 String requiredType,
                                 Pointer wrongPointer)

  form an exception message from the required type and the pointer that doesn't respect it

### InvalidValueException

    public InvalidValueException(Pointer comparedPointer,
                                 Pointer wrongPointer)

  form an exception message from the compared pointer and the pointer that doesn't match its type

Method Detail

### getFieldName

    public String getFieldName()

### getShortMessage

    public String getShortMessage()

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20